Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1067081 - [Docs] [Developer] Table 7.1 only contains transparent_huge_pages
Summary: [Docs] [Developer] Table 7.1 only contains transparent_huge_pages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Andrew Dahms
QA Contact: Julie
URL:
Whiteboard:
Depends On:
Blocks: 1054973
TreeView+ depends on / blocked
 
Reported: 2014-02-19 16:07 UTC by Thom Carlin
Modified: 2014-08-22 05:59 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 12978, Developer Guide-3.3-1 Build Date: 09-01-2014 10:14:45 Topic ID: 7935-563546 [Latest]
Last Closed: 2014-08-22 05:59:24 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Thom Carlin 2014-02-19 16:07:11 UTC
Title: Features

Describe the issue:

Not all "features" are documented


Suggestions for improvement:

Add the remaining features

Additional information:

From 3.3: https://rhevm_url/api/capabilities
NOTE: This should be carefully reviewed for accuracy!!  Ideally, we should have Description tag for each Feature

Gluster Support: Support for Gluster Volumes and Bricks
POSIX-FS Storage Type: posixfs [needs verbiage]
Port Mirroring: for nics [needs verbiage]
Display Server Time: Displays current time on RHEVM server
Display Host Memory: Displays current memory on RHEVM server
Display Host Sockets: Number of host sockets displayed. 'cores' now show num of cores per socket --> total cores in host is: cores*sockets
Search - Case Sensitivity: Ability to specify whether a search query should ignore case, by providing a URL parameter
Max Results for GET Request: Ability to specify max number of results returned from a GET request
JSON Content-Type: Unknown [needs verbiage]
Correlation-Id: Enable setting Correlation-Id for POST and PUT commands, using a header.
Activate/Deactivate disk: Disk may be activated or deactivated (POST .../disks/{disk:id}/activate, POST .../disks/{disk:id}/deactivate
Activate/Deactivate NIC: NIC may be activated or deactivated (POST .../nics/{nic:id}/activate, POST .../nics/{nic:id}/deactivate
Snapshots Refactoring: Snapshot is no a point-of-time representation of a VM, including sublollections such as disks, nics, cdroms... [sic, needs editing]
Remove Template Disks From Specified Storage-Domain: Ability to remove template images from a specific storage-domain: DELETE .../api/templates/{template:id}/disks/{disk:id}, supplying <action><storage_domain id="xxx"</storage_domain></action> [needs editing]
Floating Disks: A disk may be attached to 0 VMs. Such a disk is 'floating'. Therefore disks now also appear in the root collection, no only under VM: .../api/disks. Attaching a disk to VM is done by adding a disk with an existing ID to the VM. Detaching a disk from a VM is done by deleting the Disk from the VM, supplying 'detach=true'
Async Delete: Ability to specify that DELETE request will be performed asynchronously, using the 'async' url parameter.
Session Based Authentication: Ability to maintain client-server session, to avoid login per request. Done by providing a header
VM Applications: List of Applications installed on a VM. VM Applications appear under VM: .../api/vms/xxx/applications.
VirtIO-SCSI Support: Support for paravirtualized SCSI controller device.
Custom comment in the resource: At this point added ability to add custom comment only to the datacenter, in future versions we may allow it in other resources as well.
Refresh Host Capabilities: Getting host data synchronized with getVdsCaps (GET .../hosts/{host:id};force
Memory Snapshot: Ability to save memory state as part of snapshot.
Watchdog Device: Ability to create watchdog devices in VM's
SSH Authentication Method: Ability to authenticate by SSH to host using privileged user password or SSH public key
Force Select SPM: Ability to force select a host as SPM
Console Device: Ability to control attaching of console devices in VM's
Storage server connections of a storage domain: Ability to view storage server connections of a specific storage domain (GET .../storagedomains/{storagedomain:id}/storageconnections)
Attach/Detach storage server connections (to/from a storage domain): Ability to attach/detach storage server connections to/from a specific storage domain (common use case: disaster recovery)
Single PCI for Qxl: Ability to view multiple video devices via single PCI guest device
Add VM from OVF configuration: Ability to add VM from provided OVF configuration.
Vnic Profiles: Configuring VM network interface by a profile (for network QoS, custom properties and port mirroring)
Image Storage Domains (Tech Preview): Importing and exporting images from and to image storage domain (as for example OpenStack glance)
Gluster Hooks management: Ability to manage gluster hooks in cluster
VM FQDN: Ability to report the fully qualified domain name (FQDN) of a Virtual Machine
Attaching Disk snapshot to a vm: Support for attaching a disk snapshot to a vm.
Cloud Init: Support for VM initialization with Cloud Init.

Comment 1 Andrew Dahms 2014-04-27 04:12:54 UTC
Documentation Link
------------------------------
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.3/html-single/Developer_Guide/index.html#Features

What Changed
------------------------------
The following topic was edited to update the table so that it would include an overview of all features for Red Hat Enterprise Virtualization 3.3.

Features [7935-593744]

Updated revision history: [21132-593752]

NVR
------------------------------
Red_Hat_Enterprise_Virtualization-Developer_Guide-3.3-en-US-3.3-24

Moving to ON_QA.

Comment 2 Julie 2014-08-22 05:59:24 UTC
verified in the 3.3 release.


Note You need to log in before you can comment on or make changes to this bug.